/**
 * classe TestConcesionnaire (Application)
 * @author Matthias Colin
 * @version 1.0 (9/06/2009)
 */

import java.awt.Color;
import java.io.*;

public class TestConcessionaire {
			
	public static void main(String[] args) {
		// création d'un concessionnaire avec 10 voitures
		Concessionnaire concessionnaire;
	
		concessionnaire = new Concessionnaire();
		concessionnaire.ajouterVoiture(new Voiture(Color.RED, "Citronault", "Mega209"));
		concessionnaire.ajouterVoiture(new Voiture(Color.BLUE, "Citronault", "Mega209"));
		concessionnaire.ajouterVoiture(new Voiture(Color.BLACK, "Citronault", "Mega209"));
		concessionnaire.ajouterVoiture(new Voiture(Color.YELLOW, "Citronault", "Mega209"));
		concessionnaire.ajouterVoiture(new Voiture(Color.GREEN, "Citronault", "Mega209"));
		concessionnaire.ajouterVoiture(new Voiture(Color.WHITE, "Citronault", "Mega209"));
		concessionnaire.ajouterVoiture(new Voiture(Color.RED, "Citronault", "Sceni411"));
		concessionnaire.ajouterVoiture(new Voiture(Color.YELLOW, "Citronault", "Sceni411"));
		concessionnaire.ajouterVoiture(new VoitureSport(Color.RED, "Ferrasche", "F40", 600));
		concessionnaire.ajouterVoiture(new Voiture(Color.RED, "Peunault", "xsanic"));

		// affichage de 3 types de recherches
		System.out.println("Recherche 1 :");
		for (Voiture voiture : concessionnaire.rechercherVoitureMarqueModele(
				"Citronault", "Mega209")) { 
			System.out.println(voiture);
		}


		System.out.println("Recherche 2 :");
		for (Voiture voiture : concessionnaire.rechercherVoitureMarqueModeleCouleur(
				"Citronault", "Mega209", Color.YELLOW)) { 
			System.out.println(voiture);
		}


		System.out.println("Recherche 3 :");
		for (Voiture voiture : concessionnaire.rechercherVoitureCouleur(Color.RED)) { 
			System.out.println(voiture);
		}
	}
}
